Get a specific shareable link

Retrieves detailed information about a specific shareable link including all associated folders, images, videos, and files with full resource details

GET/api/v1/{team_slug}/{app_slug}/dam/shareable-links/{link_id}
API
Management
Updated
Apr 26, 2026

management-api:GET:/api/v1/{team_slug}/{app_slug}/dam/shareable-links/{link_id}

Retrieves detailed information about a specific shareable link including all associated folders, images, videos, and files with full resource details

API ownership

  • API family: Management API
  • Best for: Trusted back-office workflows that create, update, organize, or delete merchant-owned data.
  • Do not use from: Browser-only storefront code or public clients.
  • Guide route: /apis/management/latest

The OpenAPI contract defines the method, path, parameters, request body, and responses for this operation.

Operation

  • Method: GET
  • Path: /api/v1/\{team_slug\}/\{app_slug\}/dam/shareable-links/\{link_id\}
  • Summary: Get a specific shareable link
  • Description: Retrieves detailed information about a specific shareable link including all associated folders, images, videos, and files with full resource details
  • OpenAPI contract: management-api
  • Operation ID: Not documented in the OpenAPI contract.

Operation key uses API family, method, and path because this OpenAPI contract does not publish an operation ID.

Parameters3 parameters
NameInRequiredTypeDescription
app_slugpathYesstringApp slug
team_slugpathYesstringTeam slug
link_idpathYesstringShareable link ID
Request bodyNo documented body

Not documented in the OpenAPI contract.

Responses5 statuses
StatusDescriptionContent
200Shareable link retrieved successfullyapplication/json (object)
400Invalid requestapplication/json (object)
401Unauthorized accessapplication/json (object)
404Shareable link not foundapplication/json (object)
500Internal server errorapplication/json (object)

200 - object

PropertyTypeRequiredDetails
dataobjectNo-
successbooleanNo-
totalintegerNo-
total_pagesintegerNo-
PropertyTypeRequiredDetails
created_atstringNo-
descriptionstringNo-
expires_atstringNo-
foldersobject[]No-
idstringNo-
itemsobject[]No-
tokenstringNo-
updated_atstringNo-
Folder
PropertyTypeRequiredDetails
created_atstringNo-
file_countintegerNo-
has_content_accessbooleanNo-
idstringNo-
image_countintegerNo-
is_defaultbooleanNo-
namestringNo-
parent_idstringNo-
publicbooleanNo-
slugstringNo-
updated_atstringNo-
video_countintegerNo-
Media Item
PropertyTypeRequiredDetails
blurhashstringNo-
created_atstringNo-
descriptionstringNo-
folderobjectNo-
idstringNo-
statusstringNo-
titlestringNo-
typeenum("image", "video", "file")No-
updated_atstringNo-
urlstringNo-
{
  "data": {
    "created_at": "string",
    "description": "string",
    "expires_at": "string",
    "folders": [
      {
        "created_at": "string",
        "file_count": 0,
        "has_content_access": false,
        "id": "string",
        "image_count": 0,
        "is_default": false,
        "name": "string",
        "parent_id": "string",
        "public": false,
        "slug": "string",
        "updated_at": "string",
        "video_count": 0
      }
    ],
    "id": "string",
    "items": [
      {
        "blurhash": "string",
        "created_at": "string",
        "description": "string",
        "folder": {
          "id": null,
          "name": null,
          "slug": null
        },
        "id": "string",
        "status": "string",
        "title": "string",
        "type": "image",
        "updated_at": "string",
        "url": "string"
      }
    ],
    "token": "string",
    "updated_at": "string"
  },
  "success": false,
  "total": 0,
  "total_pages": 0
}

400 - object

Error Message

PropertyTypeRequiredDetails
detailsstring[]No-
messagestringNo-
successbooleanNo-

Generated example (synthetic):

{
  "details": [
    "string"
  ],
  "message": "string",
  "success": false
}

401 - object

Error Message

PropertyTypeRequiredDetails
detailsstring[]No-
messagestringNo-
successbooleanNo-

Generated example (synthetic):

{
  "details": [
    "string"
  ],
  "message": "string",
  "success": false
}

404 - object

Error Message

PropertyTypeRequiredDetails
detailsstring[]No-
messagestringNo-
successbooleanNo-

Generated example (synthetic):

{
  "details": [
    "string"
  ],
  "message": "string",
  "success": false
}

500 - object

Error Message

PropertyTypeRequiredDetails
detailsstring[]No-
messagestringNo-
successbooleanNo-

Generated example (synthetic):

{
  "details": [
    "string"
  ],
  "message": "string",
  "success": false
}

Contract identity

Use these fields to confirm you are implementing the intended endpoint contract.

  • API family: Management API
  • Method: GET
  • Path: /api/v1/\{team_slug\}/\{app_slug\}/dam/shareable-links/\{link_id\}
  • Operation ID: Not documented in the OpenAPI contract.
  • OpenAPI tag: DAM
  • OpenAPI summary: Get a specific shareable link

Get a specific shareable link

# Get a specific shareable link Retrieves detailed information about a specific shareable link including all associated folders, images, videos, and files with full resource details
GET /api/v1/{team_slug}/{app_slug}/dam/shareable-links/{link_id}
Purpose

Retrieves detailed information about a specific shareable link including all associated folders, images, videos, and files with full resource details

Required inputs

app_slug path team_slug path link_id path

Primary response

200 ยท Shareable link retrieved successfully

Operation key

management-api:GET:/api/v1/{team_slug}/{app_slug}/dam/shareable-links/{link_id}

## API ownership - API family: Management API - Best for: Trusted back-office workflows that create, update, organize, or delete merchant-owned data. - Do not use from: Browser-only storefront code or public clients. - Guide route: [/apis/management/latest](/apis/management/latest) The OpenAPI contract defines the method, path, parameters, request body, and responses for this operation. ## Operation - Method: `GET` - Path: `/api/v1/{team_slug}/{app_slug}/dam/shareable-links/{link_id}` - Summary: Get a specific shareable link - Description: Retrieves detailed information about a specific shareable link including all associated folders, images, videos, and files with full resource details - OpenAPI contract: management-api - Operation ID: Not documented in the OpenAPI contract. - Stable operation key: `management-api:GET:/api/v1/{team_slug}/{app_slug}/dam/shareable-links/{link_id}` Operation key uses API family, method, and path because this OpenAPI contract does not publish an operation ID. ## Parameters | Name | In | Required | Type | Description | | --- | --- | --- | --- | --- | | app_slug | path | Yes | string | App slug | | team_slug | path | Yes | string | Team slug | | link_id | path | Yes | string | Shareable link ID | ## Request body Not documented in the OpenAPI contract. ## Responses | Status | Description | Content | | --- | --- | --- | | 200 | Shareable link retrieved successfully | application/json (object) | | 400 | Invalid request | application/json (object) | | 401 | Unauthorized access | application/json (object) | | 404 | Shareable link not found | application/json (object) | | 500 | Internal server error | application/json (object) | ### 200 - object #### Shareable Link With Resources Response | Property | Type | Required | Details | | --- | --- | --- | --- | | `data` | object | No | - | | `success` | boolean | No | - | | `total` | integer | No | - | | `total_pages` | integer | No | - | ##### Shareable Link With Resources | Property | Type | Required | Details | | --- | --- | --- | --- | | `created_at` | string | No | - | | `description` | string | No | - | | `expires_at` | string | No | - | | `folders` | object[] | No | - | | `id` | string | No | - | | `items` | object[] | No | - | | `token` | string | No | - | | `updated_at` | string | No | - | ##### Folder | Property | Type | Required | Details | | --- | --- | --- | --- | | `created_at` | string | No | - | | `file_count` | integer | No | - | | `has_content_access` | boolean | No | - | | `id` | string | No | - | | `image_count` | integer | No | - | | `is_default` | boolean | No | - | | `name` | string | No | - | | `parent_id` | string | No | - | | `public` | boolean | No | - | | `slug` | string | No | - | | `updated_at` | string | No | - | | `video_count` | integer | No | - | ##### Media Item | Property | Type | Required | Details | | --- | --- | --- | --- | | `blurhash` | string | No | - | | `created_at` | string | No | - | | `description` | string | No | - | | `folder` | object | No | - | | `id` | string | No | - | | `status` | string | No | - | | `title` | string | No | - | | `type` | enum("image", "video", "file") | No | - | | `updated_at` | string | No | - | | `url` | string | No | - |
Generated example (synthetic) ```json { "data": { "created_at": "string", "description": "string", "expires_at": "string", "folders": [ { "created_at": "string", "file_count": 0, "has_content_access": false, "id": "string", "image_count": 0, "is_default": false, "name": "string", "parent_id": "string", "public": false, "slug": "string", "updated_at": "string", "video_count": 0 } ], "id": "string", "items": [ { "blurhash": "string", "created_at": "string", "description": "string", "folder": { "id": null, "name": null, "slug": null }, "id": "string", "status": "string", "title": "string", "type": "image", "updated_at": "string", "url": "string" } ], "token": "string", "updated_at": "string" }, "success": false, "total": 0, "total_pages": 0 } ```
### 400 - object #### Error Message | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string[] | No | - | | `message` | string | No | - | | `success` | boolean | No | - | **Generated example (synthetic):** ```json { "details": [ "string" ], "message": "string", "success": false } ``` ### 401 - object #### Error Message | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string[] | No | - | | `message` | string | No | - | | `success` | boolean | No | - | **Generated example (synthetic):** ```json { "details": [ "string" ], "message": "string", "success": false } ``` ### 404 - object #### Error Message | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string[] | No | - | | `message` | string | No | - | | `success` | boolean | No | - | **Generated example (synthetic):** ```json { "details": [ "string" ], "message": "string", "success": false } ``` ### 500 - object #### Error Message | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string[] | No | - | | `message` | string | No | - | | `success` | boolean | No | - | **Generated example (synthetic):** ```json { "details": [ "string" ], "message": "string", "success": false } ``` ## Contract identity Use these fields to confirm you are implementing the intended endpoint contract. - API family: Management API - Method: `GET` - Path: `/api/v1/{team_slug}/{app_slug}/dam/shareable-links/{link_id}` - Operation ID: Not documented in the OpenAPI contract. - Stable operation key: `management-api:GET:/api/v1/{team_slug}/{app_slug}/dam/shareable-links/{link_id}` - OpenAPI tag: DAM - OpenAPI summary: Get a specific shareable link